<template>
  <LinkVisitPage v-if="props.link" />
  <NotFoundPage v-else />
</template>

<script setup lang="ts">
import LinkVisitPage from "@/js/contexts/shared/ui/pages/LinkVisitPage.vue";
import NotFoundPage from "@/js/contexts/shared/ui/pages/NotFoundPage.vue";
import useSnowflake from "@/js/contexts/shared/composables/useSnowflake";

const { props } = useSnowflake();
</script>
